Bug 819931 - Search bar margin is too big when tree context is not system
Search bar margin is too big when tree context is not system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Erez
Tomas Dosek
ux
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 12:17 EDT by Gilad Chaplik
Modified: 2015-06-19 01:20 EDT (History)
8 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilad Chaplik 2012-05-08 12:17:30 EDT
Search bar is disabled when tree context is not system:

When selecting a tree item (e.g. a data center), one (e.g. "DataCenter: name = XXX") part should be disabled and the other should be free for editing.
Comment 1 Gilad Chaplik 2012-05-10 05:13:35 EDT
Another related issue, we also need to disable navigating to the hidden tab (in the browser url bar), e.g. in case volume tab is hidden we can't navigate to 
"http://XXX/webadmin/volumes.
Comment 2 Gilad Chaplik 2012-05-21 05:32:02 EDT
At first I thought the search bar is disabled, but Einav discovered that the search bar is enabled and the margin for the its text-box is very big, and it's located at an un-intuitive place.

changing the bug header.
Comment 3 vszocs 2012-05-21 09:45:36 EDT
> Another related issue, we also need to disable navigating to the hidden tab (in the browser url bar), e.g. in case volume tab is hidden we can't navigate to 
"http://XXX/webadmin/volumes.

Covered by patch [http://gerrit.ovirt.org/4622].
Comment 5 Daniel Erez 2012-07-29 14:57:30 EDT
git commit 85b4fe49b8d4c125368fae6ab434a35aa1408fb9
Comment 6 Tomas Dosek 2012-07-31 04:23:05 EDT
Verified - si12 - above described scenario no longer reproduces. Seach bar is correctly displayed and serach works fine accordingly to description in comment #1.

Note You need to log in before you can comment on or make changes to this bug.